Skip to content
Permalink
Browse files

remove basemap as dependency

  • Loading branch information...
sdpython committed Jul 22, 2018
1 parent ba68863 commit 8ff10b32d1a402c62f41eb84536a8b5e30daa00c
Showing with 2 additions and 11 deletions.
  1. +0 −8 .circleci/config.yml
  2. +0 −1 .travis.yml
  3. +0 −1 appveyor.yml
  4. +1 −0 requirements_conda.txt
  5. +1 −1 setup.py
@@ -89,14 +89,6 @@ jobs:
. venv/bin/activate
python setup.py moviepy-setup
- run:
name: install basemap
command: |
python3 -m venv venv
. venv/bin/activate
sudo apt-get install libgeos-dev
pip install git+https://github.com/matplotlib/basemap.git
- save_cache:
paths:
- ./venv
@@ -28,7 +28,6 @@ install:
# - make all
#- conda build build_tools/conda-recipe --quiet
- conda install -q --file=requirements_conda.txt
- conda install -y basemap
- pip install -r requirements.txt
- python setup.py moviepy-setup
script:
@@ -19,7 +19,6 @@ install:
- "%PYTHON%\\python -m pip install --upgrade pip"
- "%PYTHON%\\Scripts\\pip install pymyinstall"
- "%PYTHON%\\Scripts\\pymy_install3 --set=pyquickhelper"
- "%PYTHON%\\Scripts\\pymy_install3 basemap"
- "%PYTHON%\\Scripts\\pymy_install3 opencv_python fastrlock cairocffi"
- "%PYTHON%\\Scripts\\pymy_install3 cupy"
- "%PYTHON%\\Scripts\\pymy_install3 yaml pyproj scikit-image opencv-python"
@@ -1,3 +1,4 @@
cartopy
chainer
bokeh
Cython
@@ -176,7 +176,7 @@ def write_version():
packages=packages,
package_dir=package_dir,
package_data=package_data,
install_requires=["pyquickhelper>=1.5.2259"],
install_requires=["pyquickhelper>=1.8"],
extras_require={
'faq': ['pytube'],
}

0 comments on commit 8ff10b3

Please sign in to comment.
You can’t perform that action at this time.